<Type Name="LockType" FullName="Mono.Unix.Native.LockType">
  <TypeSignature Language="C#" Value="public enum LockType" />
  <AssemblyInfo>
    <AssemblyName>Mono.Posix</AssemblyName>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Members>
    <Member MemberName="F_RDLCK">
      <MemberSignature Language="C#" Value="F_RDLCK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.LockType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Read lock.</summary>
      </Docs>
    </Member>
    <Member MemberName="F_WRLCK">
      <MemberSignature Language="C#" Value="F_WRLCK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.LockType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Write lock.</summary>
      </Docs>
    </Member>
    <Member MemberName="F_UNLCK">
      <MemberSignature Language="C#" Value="F_UNLCK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.LockType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Release a lock.</summary>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>The type of lock to place on a file.</summary>
    <remarks>
    </remarks>
    <altmember cref="T:Mono.Unix.Native.Flock" />
  </Docs>
  <Attributes>
    <Attribute>
      <AttributeName>System.CLSCompliant(false)</AttributeName>
    </Attribute>
  </Attributes>
</Type>
